# Uses of Class
it.tdlight.jni.TdApi.SecretChatState

## Uses of TdApi.SecretChatState in it.tdlight.jni

Subclasses of TdApi.SecretChatState in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.SecretChatStateClosed`
The secret chat is closed.
`static final class`
`TdApi.SecretChatStatePending`
The secret chat is not yet created; waiting for the other user to get online.
`static final class`
`TdApi.SecretChatStateReady`
The secret chat is ready to use.
Fields in it.tdlight.jni declared as TdApi.SecretChatState
Modifier and Type
Field
Description
`TdApi.SecretChatState`
TdApi.SecretChat.`state`
State of the secret chat.
Constructors in it.tdlight.jni with parameters of type TdApi.SecretChatState
Modifier
Constructor
Description
``
`SecretChat(int id, long userId, TdApi.SecretChatState state, boolean isOutbound, byte[] keyHash, int layer)`
Represents a secret chat.